#!/bin/bash
./src/build-local-rules.ts
./esbuild.ts
npx tsc ./src/local/index.ts --outdir ./dist/local --target ESNext --module CommonJS --esModuleInterop >/dev/null
npx tsc ./src/index.ts --outdir ./dist --declaration --target ESNext --module CommonJS --esModuleInterop >/dev/null

type() {
  npx dts-bundle-generator "./eslint-plugin-$1/$2" \
    -o "./dist/$1/index.d.ts" \
    --project "./eslint-plugin-$1/tsconfig.json" \
    --no-check
}

# type import src/index.js
# type jsx-a11y src/index.js
# type react index.js
